/* ========================================================================= *
 * Parse
 *
 * Parse a CSV file with string;int values
 * ========================================================================= */

#ifndef _PARSE_H_
#define _PARSE_H_

#include <stddef.h>

typedef struct strtable
{
  size_t              n;        // Number of element in the strtable
  char**              string;   // Array of strings
  unsigned long long* nboccur;  // Array of occurences
                                //    s.t. nboccur[i] relates to string[i]
} strtable;

/* ------------------------------------------------------------------------- *
 * Returns the strweighttable in the csv file given in argument.
 *
 * PARAMETERS
 * filename       The file name
 * ------------------------------------------------------------------------- */
strtable* parse(char* filename);

/* ------------------------------------------------------------------------- *
 * Free the allocated memory of the strtable object and its content.
 *
 * PARAMETERS
 * table       The strtable to free
 * ------------------------------------------------------------------------- */
void freestrtable(strtable* table);

#endif // !_PARSE_H_
